@DATABASE "dopus/appicon.h"
@MASTER   "opussdk:include/dopus/appicon.h"
@REMARK   (c) Dr Greg Perry and Jonathan Potter, GPSoftware 1996
@REMARK   This file was initially created by ADtoHT 2.1 on 07-Sep-96 18:20:14
@REMARK   ADtoHT is  1993-1995 Christian Stieber

@NODE MAIN "dopus/appicon.h"
@TOC "DopusSDK/MAIN"

@{"dopus/appicon.h" LINK File}


@{b}Structures@{ub}

@{"_DOpusAppMessage" LINK "dopus/appicon.h/File" 68}  @{"AppSnapshotMsg" LINK "dopus/appicon.h/File" 34}


@{b}Typedefs@{ub}

@{"DOpusAppMessage" LINK "dopus/appicon.h/File" 68}


@{b}#defines@{ub}

@{"APPSNAPF_CLOSE" LINK "dopus/appicon.h/File" 47}     @{"APPSNAPF_HELP" LINK "dopus/appicon.h/File" 48}        @{"APPSNAPF_INFO" LINK "dopus/appicon.h/File" 49}
@{"APPSNAPF_MENU" LINK "dopus/appicon.h/File" 46}      @{"APPSNAPF_UNSNAPSHOT" LINK "dopus/appicon.h/File" 44}  @{"APPSNAPF_WINDOW_POS" LINK "dopus/appicon.h/File" 45}
@{"CAIF_BUSY" LINK "dopus/appicon.h/File" 62}          @{"CAIF_LOCKED" LINK "dopus/appicon.h/File" 60}          @{"CAIF_RENDER" LINK "dopus/appicon.h/File" 57}
@{"CAIF_SELECT" LINK "dopus/appicon.h/File" 58}        @{"CAIF_SET" LINK "dopus/appicon.h/File" 61}             @{"CAIF_TITLE" LINK "dopus/appicon.h/File" 59}
@{"CAIF_UNBUSY" LINK "dopus/appicon.h/File" 63}        @{"DAE_Background" LINK "dopus/appicon.h/File" 18}       @{"DAE_Close" LINK "dopus/appicon.h/File" 17}
@{"DAE_Info" LINK "dopus/appicon.h/File" 21}           @{"DAE_Local" LINK "dopus/appicon.h/File" 14}            @{"DAE_Locked" LINK "dopus/appicon.h/File" 22}
@{"DAE_Menu" LINK "dopus/appicon.h/File" 16}           @{"DAE_MenuBase" LINK "dopus/appicon.h/File" 23}         @{"DAE_SnapShot" LINK "dopus/appicon.h/File" 15}
@{"DAE_ToggleMenu" LINK "dopus/appicon.h/File" 19}     @{"DAE_ToggleMenuSel" LINK "dopus/appicon.h/File" 20}    @{"DAPPF_ICON_DROP" LINK "dopus/appicon.h/File" 77}
@{"MTYPE_APPSNAPSHOT" LINK "dopus/appicon.h/File" 32}  

@ENDNODE
@NODE File "dopus/appicon.h"
#ifndef _DOPUS_APPICON
#define _DOPUS_APPICON

/*****************************************************************************

 AppIcon, etc

 *****************************************************************************/

#ifndef WORKBENCH_WORKBENCH_H
#include <workbench/workbench.h>
#endif

#define DAE_Local               TAG_USER + 0    // Add to DOpus only, not WB
#define DAE_SnapShot            TAG_USER + 1    // Supports snapshot
#define DAE_Menu                TAG_USER + 2    // Menu item
#define DAE_Close               TAG_USER + 3    // Close item
#define DAE_Background          TAG_USER + 4    // Background colour
#define DAE_ToggleMenu          TAG_USER + 5    // Toggle item
#define DAE_ToggleMenuSel       TAG_USER + 6    // Toggle item (selected)
#define DAE_Info                TAG_USER + 7    // Supports Information
#define DAE_Locked              TAG_USER + 8    // Position locked
#define DAE_MenuBase            TAG_USER + 9    // Menu ID base


APTR FindAppWindow(struct Window *);
struct MsgPort *AppWindowData(APTR,ULONG *,ULONG *);


// Messages sent from AppIcons

#define MTYPE_APPSNAPSHOT       0x3812          // Snapshot message

struct AppSnapshotMsg
{
        struct AppMessage       ap_msg;         // Message
        long                    position_x;     // Icon x-position
        long                    position_y;     // Icon y-position
        struct IBox             window_pos;     // Window position
        unsigned long           flags;          // Flags
        long                    id;             // ID
};

#define APPSNAPF_UNSNAPSHOT     (1<<0)          // Set "no position"
#define APPSNAPF_WINDOW_POS     (1<<1)          // Window position supplied
#define APPSNAPF_MENU           (1<<2)          // Menu operation
#define APPSNAPF_CLOSE          (1<<3)          // Close command
#define APPSNAPF_HELP           (1<<4)          // Help on a command
#define APPSNAPF_INFO           (1<<5)          // Information command


// Change AppIcons

void ChangeAppIcon(APTR,struct Image *,struct Image *,char *,ULONG);
long SetAppIconMenuState(APTR,long,long);

#define CAIF_RENDER     (1<<0)
#define CAIF_SELECT     (1<<1)
#define CAIF_TITLE      (1<<2)
#define CAIF_LOCKED     (1<<3)
#define CAIF_SET        (1<<4)
#define CAIF_BUSY       (1<<5)
#define CAIF_UNBUSY     (1<<6)


// AppWindow messages

typedef struct _DOpusAppMessage
{
        struct AppMessage       da_Msg;         // Message
        Point                   *da_DropPos;    // Drop array
        Point                   da_DragOffset;  // Mouse pointer offset
        ULONG                   da_Flags;       // Flags
        ULONG                   da_Pad[2];
} DOpusAppMessage;

#define DAPPF_ICON_DROP         (1<<16)         // Dropped with icon

@{"DOpusAppMessage" LINK File 68} *AllocAppMessage(APTR,struct MsgPort *,short);
BOOL CheckAppMessage(@{"DOpusAppMessage" LINK File 68} *);
void FreeAppMessage(@{"DOpusAppMessage" LINK File 68} *);
BOOL GetWBArgPath(struct WBArg *,char *,long);
void ReplyAppMessage(@{"DOpusAppMessage" LINK File 68} *);
BOOL SetWBArg(@{"DOpusAppMessage" LINK File 68} *,short,BPTR,char *,APTR);

#endif
@ENDNODE
