@DATABASE "dopus/bufferedio.h"
@MASTER   "opussdk:include/dopus/bufferedio.h"
@REMARK   (c) Dr Greg Perry and Jonathan Potter, GPSoftware 1996
@REMARK   This file was initially created by ADtoHT 2.1 on 07-Sep-96 18:20:14
@REMARK   ADtoHT is  1993-1995 Christian Stieber

@NODE MAIN "dopus/bufferedio.h"
@TOC "DopusSDK/MAIN"

@{"dopus/bufferedio.h" LINK File}

@ENDNODE
@NODE File "dopus/bufferedio.h"
#ifndef _DOPUS_BUFIO
#define _DOPUS_BUFIO

/*****************************************************************************

 Buffered IO

 *****************************************************************************/

#ifndef EXEC_TYPES_H
#include <exec/types.h>
#endif

#ifndef DOS_DOS_H
#include <dos/dos.h>
#endif

void CloseBuf(APTR file);
long ExamineBuf(APTR file,struct FileInfoBlock *fib);
BPTR FHFromBuf(APTR file);
void FlushBuf(APTR file);
APTR OpenBuf(char *name,long mode,long buffer_size);
long ReadBuf(APTR file,char *data,long size);
long SeekBuf(APTR file,long offset,long mode);
long WriteBuf(APTR file,char *data,long size);

#endif
@ENDNODE
