@DATABASE "dopus/popup.h"
@MASTER   "opussdk:include/dopus/popup.h"
@REMARK   (c) Dr Greg Perry and Jonathan Potter, GPSoftware 1996
@REMARK   This file was initially created by ADtoHT 2.1 on 07-Sep-96 18:20:14
@REMARK   ADtoHT is  1993-1995 Christian Stieber

@NODE MAIN "dopus/popup.h"
@TOC "DopusSDK/MAIN"

@{"dopus/popup.h" LINK File}


@{b}Typedefs@{ub}

@{"PopUpItem" LINK "dopus/popup.h/File" 11}  @{"PopUpMenu" LINK "dopus/popup.h/File" 35}


@{b}#defines@{ub}

@{"POPUP_BARLABEL" LINK "dopus/popup.h/File" 25}   @{"POPUP_HELPFLAG" LINK "dopus/popup.h/File" 27}   @{"POPUPF_CHECKED" LINK "dopus/popup.h/File" 21}
@{"POPUPF_CHECKIT" LINK "dopus/popup.h/File" 20}   @{"POPUPF_DISABLED" LINK "dopus/popup.h/File" 23}  @{"POPUPF_LOCALE" LINK "dopus/popup.h/File" 19}
@{"POPUPF_SUB" LINK "dopus/popup.h/File" 22}       @{"POPUPMF_ABOVE" LINK "dopus/popup.h/File" 45}    @{"POPUPMF_HELP" LINK "dopus/popup.h/File" 43}
@{"POPUPMF_REFRESH" LINK "dopus/popup.h/File" 44}  @{"REF_CALLBACK()" LINK "dopus/popup.h/File" 31}   

@ENDNODE
@NODE File "dopus/popup.h"
#ifndef _DOPUS_POPUP
#define _DOPUS_POPUP

/*****************************************************************************

 Popup menus

 *****************************************************************************/

// Defines an item in a menu
typedef struct
        struct MinNode  node;
        char            *item_name;             // Menu item name
        USHORT          id;                     // Menu ID
        USHORT          flags;                  // Menu item flags
        APTR            data;                   // Menu item data
} PopUpItem;

#define POPUPF_LOCALE                   (1<<0)  // Item name is a locale ID
#define POPUPF_CHECKIT                  (1<<1)  // Item can be checked
#define POPUPF_CHECKED                  (1<<2)  // Item is checked
#define POPUPF_SUB                      (1<<3)  // Item has sub-items
#define POPUPF_DISABLED                 (1<<4)  // Item is disabled

#define POPUP_BARLABEL                  (char *)-1

#define POPUP_HELPFLAG                  (1<<15) // Set if help key pressed

// Used to declare a callback for a menu
#ifndef REF_CALLBACK
#define @{"REF_CALLBACK" LINK "dopus/requesters.h/File" 45}(name)      void __asm (*name)(register __d0 ULONG,register __a0 APTR,register __a1 APTR)
#endif

// Defines a popup menu
typedef struct
        struct MinList          item_list;      // List of menu items
        @{"struct DOpusLocale" LINK "dopus/locale.h/File" 11}      *locale;        // Locale data
        ULONG                   flags;          // Flags
        ULONG                   userdata;       // User data
        @{"REF_CALLBACK" LINK File 31}            (callback);     // Refresh callback
} PopUpMenu;

#define POPUPMF_HELP            (1<<0)          // Supports help
#define POPUPMF_REFRESH         (1<<1)          // Use refresh callback
#define POPUPMF_ABOVE           (1<<2)          // Open above parent window

USHORT DoPopUpMenu(struct Window *,PopUpMenu *,PopUpItem **,USHORT);
@{"PopUpItem" LINK File 11} *GetPopUpItem(@{"PopUpMenu" LINK File 35} *,USHORT);

#endif
@ENDNODE
