@DATABASE "dopus/args.h"
@MASTER   "opussdk:include/dopus/args.h"
@REMARK   (c) Dr Greg Perry and Jonathan Potter, GPSoftware 1996
@REMARK   This file was initially created by ADtoHT 2.1 on 07-Sep-96 18:20:14
@REMARK   ADtoHT is  1993-1995 Christian Stieber

@NODE MAIN "dopus/args.h"
@TOC "DopusSDK/MAIN"

@{"dopus/args.h" LINK File}


@{b}Typedefs@{ub}

@{"FuncArgs" LINK "dopus/args.h/File" 10}

@ENDNODE
@NODE File "dopus/args.h"
#ifndef _DOPUS_ARGS
#define _DOPUS_ARGS

/*****************************************************************************

 ReadArgs support

 *****************************************************************************/

typedef struct
        struct RDArgs   *FA_RDArgs;     // RDArgs structure
        struct RDArgs   *FA_RDArgsRes;  // Return from ReadArgs()
        char            *FA_ArgString;  // Copy of argument string (with newline)
        long            *FA_ArgArray;   // Argument array pointer
        long            *FA_Arguments;  // Argument array you should use
        short           FA_Count;       // Number of arguments
        short           FA_DoneArgs;    // DOpus uses this flag for its own purposes
} FuncArgs;

@{"FuncArgs" LINK File 10} *ParseArgs(char *,char *);
void DisposeArgs(@{"FuncArgs" LINK File 10} *);

#endif
@ENDNODE
