@DATABASE "dopus/dos.h"
@MASTER   "opussdk:include/dopus/dos.h"
@REMARK   (c) Dr Greg Perry and Jonathan Potter, GPSoftware 1996
@REMARK   This file was initially created by ADtoHT 2.1 on 07-Sep-96 18:20:14
@REMARK   ADtoHT is  1993-1995 Christian Stieber

@NODE MAIN "dopus/dos.h"
@TOC "DopusSDK/MAIN"

@{"dopus/dos.h" LINK File}


@{b}#defines@{ub}

@{"RANGE_AFTER" LINK "dopus/dos.h/File" 30}       @{"RANGE_BETWEEN" LINK "dopus/dos.h/File" 29}    @{"RANGE_WEIRD" LINK "dopus/dos.h/File" 31}  @{"SEARCH_NOCASE" LINK "dopus/dos.h/File" 41}
@{"SEARCH_ONLYWORDS" LINK "dopus/dos.h/File" 43}  @{"SEARCH_WILDCARD" LINK "dopus/dos.h/File" 42}  

@ENDNODE
@NODE File "dopus/dos.h"
#ifndef _DOPUS_DOS
#define _DOPUS_DOS

/*****************************************************************************

 DOS functions

 *****************************************************************************/

// Launch programs
BOOL LaunchWB(char *,struct Screen *,short);
BOOL LaunchCLI(char *,struct Screen *,BPTR,BPTR,BPTR,short);


// Device name functions
struct DosList *DeviceFromLock(BPTR,char *);
struct DosList *DeviceFromHandler(struct MsgPort *,char *);
BOOL DevNameFromLock(BPTR,char *,long);


// Set environment variable
void SetEnv(char *,char *,BOOL);


// Date routines
char *ParseDateStrings(char *,char *,char *,long *);
BOOL DateFromStrings(char *,char *,struct DateStamp *);

#define RANGE_BETWEEN           1
#define RANGE_AFTER             2
#define RANGE_WEIRD             -1


// Version
BOOL GetFileVersion(char *,short *,short *,struct DateStamp *,APTR);


// Search for text
long SearchFile(APTR,UBYTE *,ULONG,UBYTE *,ULONG);

#define SEARCH_NOCASE           (1<<0)  // Not case sensitive
#define SEARCH_WILDCARD         (1<<1)  // Wildcards
#define SEARCH_ONLYWORDS        (1<<2)  // Only match whole words


// Copy and free DOS path list
BPTR GetDosPathList(BPTR);
void FreeDosPathList(BPTR);


#endif
@ENDNODE
