@DATABASE "dopus/edithook.h"
@MASTER   "opussdk:include/dopus/edithook.h"
@REMARK   (c) Dr Greg Perry and Jonathan Potter, GPSoftware 1996
@REMARK   This file was initially created by ADtoHT 2.1 on 07-Sep-96 18:20:14
@REMARK   ADtoHT is  1993-1995 Christian Stieber

@NODE MAIN "dopus/edithook.h"
@TOC "DopusSDK/MAIN"

@{"dopus/edithook.h" LINK File}


@{b}#defines@{ub}

@{"EDITF_NO_SELECT_NEXT" LINK "dopus/edithook.h/File" 10}  @{"EDITF_PATH_FILTER" LINK "dopus/edithook.h/File" 11}  @{"EDITF_SECURE" LINK "dopus/edithook.h/File" 12}
@{"EH_ChangeSigBit" LINK "dopus/edithook.h/File" 18}       @{"EH_ChangeSigTask" LINK "dopus/edithook.h/File" 17}   @{"EH_History" LINK "dopus/edithook.h/File" 16}
@{"HOOKTYPE_STANDARD" LINK "dopus/edithook.h/File" 14}     

@ENDNODE
@NODE File "dopus/edithook.h"
#ifndef _DOPUS_EDITHOOK
#define _DOPUS_EDITHOOK

/*****************************************************************************

 String edit-hook

 *****************************************************************************/

#define EDITF_NO_SELECT_NEXT    (1<<0)          // Don't select next field
#define EDITF_PATH_FILTER       (1<<1)          // Filter path characters
#define EDITF_SECURE            (1<<2)          // Hidden password field

#define HOOKTYPE_STANDARD       0

#define EH_History              TAG_USER + 33   // History list pointer
#define EH_ChangeSigTask        TAG_USER + 46   // Task to signal on change
#define EH_ChangeSigBit         TAG_USER + 47   // Signal bit to use

void FreeEditHook(struct Hook *);
struct Hook *GetEditHook(ULONG,ULONG,struct TagItem *tags);
struct Hook *__stdargs GetEditHookTags(ULONG,ULONG,Tag,...);
char *GetSecureString(struct Gadget *);

#endif
@ENDNODE
