@DATABASE "dopus/icon.h"
@MASTER   "opussdk:include/dopus/icon.h"
@REMARK   (c) Dr Greg Perry and Jonathan Potter, GPSoftware 1996
@REMARK   This file was initially created by ADtoHT 2.1 on 07-Sep-96 18:20:14
@REMARK   ADtoHT is  1993-1995 Christian Stieber

@NODE MAIN "dopus/icon.h"
@TOC "DopusSDK/MAIN"

@{"dopus/icon.h" LINK File}


@{b}#defines@{ub}

@{"ICONF_NO_BORDER" LINK "dopus/icon.h/File" 17}  @{"ICONF_NO_LABEL" LINK "dopus/icon.h/File" 18}  @{"ICONF_POSITION_OK" LINK "dopus/icon.h/File" 16}

@ENDNODE
@NODE File "dopus/icon.h"
#ifndef _DOPUS_ICON
#define _DOPUS_ICON

/*****************************************************************************

 Icon support

 *****************************************************************************/


// Copy icon from one file to another
void CopyFileIcon(char *,char *);


// Special icon flags
#define ICONF_POSITION_OK       (1<<31)         // Opus position stored in icon
#define ICONF_NO_BORDER         (1<<28)         // No icon border
#define ICONF_NO_LABEL          (1<<27)         // No label

ULONG GetIconFlags(struct DiskObject *);
void SetIconFlags(struct DiskObject *,ULONG);
void GetIconPosition(struct DiskObject *,short *,short *);
void SetIconPosition(struct DiskObject *,short,short);


// Icon caching
struct DiskObject *GetCachedDefDiskObject(long);
void FreeCachedDiskObject(struct DiskObject *);
struct DiskObject *GetCachedDiskObject(char *);
struct DiskObject *GetCachedDiskObjectNew(char *);

#endif
@ENDNODE
