@DATABASE "dopus/iff.h"
@MASTER   "opussdk:include/dopus/iff.h"
@REMARK   (c) Dr Greg Perry and Jonathan Potter, GPSoftware 1996
@REMARK   This file was initially created by ADtoHT 2.1 on 07-Sep-96 18:20:14
@REMARK   ADtoHT is  1993-1995 Christian Stieber

@NODE MAIN "dopus/iff.h"
@TOC "DopusSDK/MAIN"

@{"dopus/iff.h" LINK File}


@{b}#defines@{ub}

@{"IFF_CLIP" LINK "dopus/iff.h/File" 13}  @{"IFF_CLIP_READ" LINK "dopus/iff.h/File" 14}  @{"IFF_CLIP_WRITE" LINK "dopus/iff.h/File" 15}  @{"IFF_READ" LINK "dopus/iff.h/File" 11}
@{"IFF_SAFE" LINK "dopus/iff.h/File" 16}  @{"IFF_WRITE" LINK "dopus/iff.h/File" 12}      

@ENDNODE
@NODE File "dopus/iff.h"
#ifndef _DOPUS_IFF
#define _DOPUS_IFF

/*****************************************************************************

 IFF routines

 *****************************************************************************/

// File modes
#define IFF_READ        MODE_OLDFILE            // Reading
#define IFF_WRITE       MODE_NEWFILE            // Writing
#define IFF_CLIP        0x8000                  // Clipboard flag
#define IFF_CLIP_READ   (@{"IFF_CLIP" LINK File 13}|@{"IFF_READ" LINK File 11})     // Read clipboard
#define IFF_CLIP_WRITE  (@{"IFF_CLIP" LINK File 13}|@{"IFF_WRITE" LINK File 12})    // Write clipboard
#define IFF_SAFE        0x4000                  // Safe write


ULONG IFFChunkID(APTR);
long IFFChunkRemain(APTR);
long IFFChunkSize(APTR);
void IFFClose(APTR);
void IFFFailure(APTR);
ULONG IFFGetFORM(APTR);
ULONG IFFNextChunk(APTR,ULONG);
APTR IFFOpen(char *,unsigned short,ULONG);
long IFFPopChunk(APTR);
long IFFPushChunk(APTR,ULONG);
long IFFReadChunkBytes(APTR,APTR,long);
long IFFWriteChunkBytes(APTR,APTR,long);
long IFFWriteChunk(APTR,APTR,ULONG,ULONG);

#endif
@ENDNODE
