@DATABASE "dopus/progress.h"
@MASTER   "opussdk:include/dopus/progress.h"
@REMARK   (c) Dr Greg Perry and Jonathan Potter, GPSoftware 1996
@REMARK   This file was initially created by ADtoHT 2.1 on 07-Sep-96 18:20:14
@REMARK   ADtoHT is  1993-1995 Christian Stieber

@NODE MAIN "dopus/progress.h"
@TOC "DopusSDK/MAIN"

@{"dopus/progress.h" LINK File}


@{b}#defines@{ub}

@{"PW_FileCount" LINK "dopus/progress.h/File" 23}  @{"PW_FileDone" LINK "dopus/progress.h/File" 22}    @{"PW_FileName" LINK "dopus/progress.h/File" 20}   @{"PW_FileNum" LINK "dopus/progress.h/File" 24}
@{"PW_FileSize" LINK "dopus/progress.h/File" 21}   @{"PW_Flags" LINK "dopus/progress.h/File" 19}       @{"PW_Info" LINK "dopus/progress.h/File" 25}       @{"PW_Screen" LINK "dopus/progress.h/File" 14}
@{"PW_SigBit" LINK "dopus/progress.h/File" 18}     @{"PW_SigTask" LINK "dopus/progress.h/File" 17}     @{"PW_Title" LINK "dopus/progress.h/File" 16}      @{"PW_Window" LINK "dopus/progress.h/File" 15}
@{"PWF_ABORT" LINK "dopus/progress.h/File" 33}     @{"PWF_FILENAME" LINK "dopus/progress.h/File" 27}   @{"PWF_FILESIZE" LINK "dopus/progress.h/File" 28}  @{"PWF_GRAPH" LINK "dopus/progress.h/File" 30}
@{"PWF_INFO" LINK "dopus/progress.h/File" 29}      @{"PWF_INVISIBLE" LINK "dopus/progress.h/File" 32}  @{"PWF_NOABORT" LINK "dopus/progress.h/File" 31}   @{"PWF_SWAP" LINK "dopus/progress.h/File" 34}

@ENDNODE
@NODE File "dopus/progress.h"
#ifndef _DOPUS_PROGRESS
#define _DOPUS_PROGRESS

/*****************************************************************************

 Progress window

 *****************************************************************************/

#ifndef UTILITY_TAGITEM_H
#include <utility/tagitem.h>
#endif

#define PW_Screen       TAG_USER + 0            // Screen to open on
#define PW_Window       TAG_USER + 1            // Owner window
#define PW_Title        TAG_USER + 2            // Window title
#define PW_SigTask      TAG_USER + 3            // Task to signal
#define PW_SigBit       TAG_USER + 4            // Signal bit
#define PW_Flags        TAG_USER + 5            // Flags
#define PW_FileName     TAG_USER + 6            // File name
#define PW_FileSize     TAG_USER + 7            // File size
#define PW_FileDone     TAG_USER + 8            // File done
#define PW_FileCount    TAG_USER + 9            // Number of files
#define PW_FileNum      TAG_USER + 10           // Current number
#define PW_Info         TAG_USER + 11           // Information line

#define PWF_FILENAME            (1<<0)          // Filename display
#define PWF_FILESIZE            (1<<1)          // Filesize display
#define PWF_INFO                (1<<2)          // Information line
#define PWF_GRAPH               (1<<3)          // Bar graph display
#define PWF_NOABORT             (1<<4)          // No abort gadget
#define PWF_INVISIBLE           (1<<5)          // Open invisibly
#define PWF_ABORT               (1<<6)          // Want abort gadget
#define PWF_SWAP                (1<<7)          // Swap bar and size displays


BOOL CheckProgressAbort(APTR);
void CloseProgressWindow(APTR);
void GetProgressWindow(APTR,struct TagItem *);
void HideProgressWindow(APTR);
APTR OpenProgressWindow(struct TagItem *);
void SetProgressWindow(APTR,struct TagItem *);
void ShowProgressWindow(APTR,struct Screen *,struct Window *);

APTR __stdargs OpenProgressWindowTags(Tag,...);
void __stdargs SetProgressWindowTags(APTR,Tag,...);
void __stdargs GetProgressWindowTags(APTR,Tag,...);

#endif
@ENDNODE
