@DATABASE "dopus/timer.h"
@MASTER   "opussdk:include/dopus/timer.h"
@REMARK   (c) Dr Greg Perry and Jonathan Potter, GPSoftware 1996
@REMARK   This file was initially created by ADtoHT 2.1 on 07-Sep-96 18:20:14
@REMARK   ADtoHT is  1993-1995 Christian Stieber

@NODE MAIN "dopus/timer.h"
@TOC "DopusSDK/MAIN"

@{"dopus/timer.h" LINK File}


@{b}Structures@{ub}

@{"TimerHandle" LINK "dopus/timer.h/File" 10}


@{b}Typedefs@{ub}

@{"TimerHandle" LINK "dopus/timer.h/File" 10}

@ENDNODE
@NODE File "dopus/timer.h"
#ifndef _DOPUS_TIMER
#define _DOPUS_TIMER

/*****************************************************************************

 Timer

 *****************************************************************************/

typedef struct TimerHandle
{
        struct MsgPort          *port;          // Port to wait on
        struct timerequest      req;            // Timer request
        struct MsgPort          *my_port;       // Supplied port
        short                   active;         // Indicates active request
} TimerHandle;

@{"TimerHandle" LINK File 10} *AllocTimer(ULONG,struct MsgPort *);
BOOL CheckTimer(@{"TimerHandle" LINK File 10} *);
void FreeTimer(@{"TimerHandle" LINK File 10} *);
struct Library *GetTimerBase(void);
void StartTimer(@{"TimerHandle" LINK File 10} *,ULONG,ULONG);
void StopTimer(@{"TimerHandle" LINK File 10} *);
BOOL TimerActive(@{"TimerHandle" LINK File 10} *);

#endif
@ENDNODE
