#ifndef _DOPUS_DOS
#define _DOPUS_DOS

/*****************************************************************************

 DOS functions

 *****************************************************************************/

// Launch programs
BOOL LaunchWB(char *,struct Screen *,short);
BOOL LaunchCLI(char *,struct Screen *,BPTR,BPTR,BPTR,short);


// Device name functions
struct DosList *DeviceFromLock(BPTR,char *);
struct DosList *DeviceFromHandler(struct MsgPort *,char *);
BOOL DevNameFromLock(BPTR,char *,long);


// Set environment variable
void SetEnv(char *,char *,BOOL);


// Date routines
char *ParseDateStrings(char *,char *,char *,long *);
BOOL DateFromStrings(char *,char *,struct DateStamp *);

#define RANGE_BETWEEN		1
#define RANGE_AFTER		2
#define RANGE_WEIRD		-1


// Version
BOOL GetFileVersion(char *,short *,short *,struct DateStamp *,APTR);


// Search for text
long SearchFile(APTR,UBYTE *,ULONG,UBYTE *,ULONG);

#define SEARCH_NOCASE		(1<<0)	// Not case sensitive
#define SEARCH_WILDCARD		(1<<1)	// Wildcards
#define SEARCH_ONLYWORDS	(1<<2)	// Only match whole words


// Copy and free DOS path list
BPTR GetDosPathList(BPTR);
void FreeDosPathList(BPTR);


#endif
